export type ServerError = {
  title: string;
  status: number;
  message: string | null;
};

export class NetworkError extends Error {
  status: number;
  serverError: ServerError;

  constructor(message: string, status: number, serverError: ServerError) {
    super(message);
    this.status = status;
    this.serverError = serverError;
  }
}
